appupdater problem in vista (dont run)

Help
Tangana
2008-07-30
2013-06-05
  • Tangana
    Tangana
    2008-07-30

    Hi, first off, thanks for this great app. I cant run appupdater, the error in the log file is:

    Traceback (most recent call last):
      File "appupdaterw.py", line 91, in <module>
      File "libappupdater\guiqt.pyc", line 1674, in run
      File "ntpath.pyc", line 102, in join
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 12: ordinal not in range(128)

    can someone help me?

    thx

     
    • nabber00
      nabber00
      2008-07-30

      Looks like you've got some sort of goofy character in your APPDATA path.  Can you open up a command prompt and tell me what this command gives you?

      echo %APPDATA%

       
    • Tangana
      Tangana
      2008-07-31

      C:\Users\José Mora\AppData\Roaming

      maybe is the é ? that is my name in spanish
      thx

       
      • nabber00
        nabber00
        2008-07-31

        Yup, that will do it.  Python isn't very non-ascii friendly.  I can try to make a fix for next release.  I don't think there is a way to get around it other than changing your user directory name, which has the potential to break lots of things.

         
      • nabber00
        nabber00
        2008-08-12

        I just checked in a fix for this.  Looks like it only affected the Qt GUI, so you should still be able to use the command line or GUI with Tk (appupdaterw.exe --tk).

         
    • Tangana
      Tangana
      2008-07-31

      please if you can fix it, i will appreciate it :) i had heard excellents reviews about this program, a friend told me about it.

      Thx for your help!

       
    • Tangana
      Tangana
      2008-08-15

      Thx for ur help!, i tried appupdaterw.exe --tk and the gui was opened but nothing happened (rescan an upgrade did not work, program list in blank) later with the comand line did not work either (appupdater --update, appupdater --upgrade)

      the error log file:

      Traceback (most recent call last):
        File "appupdaterw.py", line 91, in <module>
        File "libappupdater\guiqt.pyc", line 1674, in run
        File "ntpath.pyc", line 102, in join
      UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 12: ordinal not in range(128)
      Unhandled exception in thread started by <bound method Thread.__bootstrap of <Thread(Thread-4, stopped daemon)>>
      Traceback (most recent call last):
        File "threading.pyc", line 462, in __bootstrap
        File "threading.pyc", line 499, in __bootstrap_inner
        File "traceback.pyc", line 236, in format_exc
        File "traceback.pyc", line 142, in format_exception
        File "traceback.pyc", line 76, in format_tb
        File "traceback.pyc", line 101, in extract_tb
      TypeError: fake_getline() takes exactly 2 arguments (3 given)
      Unhandled exception in thread started by <bound method Thread.__bootstrap of <Thread(Thread-9, stopped daemon)>>
      Traceback (most recent call last):
        File "threading.pyc", line 462, in __bootstrap
        File "threading.pyc", line 499, in __bootstrap_inner
        File "traceback.pyc", line 236, in format_exc
        File "traceback.pyc", line 142, in format_exception
        File "traceback.pyc", line 76, in format_tb
        File "traceback.pyc", line 101, in extract_tb
      TypeError: fake_getline() takes exactly 2 arguments (3 given)
      Unhandled exception in thread started by <bound method Thread.__bootstrap of <Thread(Thread-10, stopped daemon)>>
      Traceback (most recent call last):
        File "threading.pyc", line 462, in __bootstrap
        File "threading.pyc", line 499, in __bootstrap_inner
        File "traceback.pyc", line 236, in format_exc
        File "traceback.pyc", line 142, in format_exception
        File "traceback.pyc", line 76, in format_tb
        File "traceback.pyc", line 101, in extract_tb
      TypeError: fake_getline() takes exactly 2 arguments (3 given)
      Unhandled exception in thread started by <bound method Thread.__bootstrap of <Thread(Thread-2, stopped daemon)>>
      Traceback (most recent call last):
        File "threading.pyc", line 462, in __bootstrap
        File "threading.pyc", line 499, in __bootstrap_inner
        File "traceback.pyc", line 236, in format_exc
        File "traceback.pyc", line 142, in format_exception
        File "traceback.pyc", line 76, in format_tb
        File "traceback.pyc", line 101, in extract_tb
      TypeError: fake_getline() takes exactly 2 arguments (3 given)
      Unhandled exception in thread started by <bound method Thread.__bootstrap of <Thread(Thread-4, stopped daemon)>>
      Traceback (most recent call last):
        File "threading.pyc", line 462, in __bootstrap
        File "threading.pyc", line 499, in __bootstrap_inner
        File "traceback.pyc", line 236, in format_exc
        File "traceback.pyc", line 142, in format_exception
        File "traceback.pyc", line 76, in format_tb
        File "traceback.pyc", line 101, in extract_tb
      TypeError: fake_getline() takes exactly 2 arguments (3 given)
      Exception in thread Thread-5 (most likely raised during interpreter shutdown):Traceback (most recent call last):
        File "appupdaterw.py", line 91, in <module>
        File "libappupdater\guiqt.pyc", line 1674, in run
        File "ntpath.pyc", line 102, in join
      UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 12: ordinal not in range(128)

       
      • nabber00
        nabber00
        2008-08-15

        I'm curious what kind of error you got with the command line?

         
        • Tangana
          Tangana
          2008-08-15

          C:\Windows\system32>appupdater --update
          Updating all repository information
          Updating application information.
          Checking for update of http://www.nabber.org/projects/appupdater/data/apps.metal
          ink...
          No update needed.
          Updating version information.
          Checking for update of http://appupdater.nabber.org/data/versions.xml...
          No update needed.
          Scanning for installed applications.
          Scanning registry...
          Searching directories for supported applications...
          Traceback (most recent call last):
            File "appupdater.py", line 40, in <module>
            File "libappupdater\console.pyc", line 121, in run
            File "libappupdater\core.pyc", line 776, in scan_apps
            File "libappupdater\core.pyc", line 435, in _search_directories
            File "libappupdater\utils.pyc", line 846, in remove_duplicates
          UnicodeDecodeError: 'ascii' codec can't decode byte 0xe9 in position 0: ordinal
          not in range(128)

           
          • nabber00
            nabber00
            2008-08-15

            Ok, I just checked in a fix for that too, my guess is there is more places that I'm missing.  I'll have to get the them later when I can recreate your setup.

             
            • Tangana
              Tangana
              2008-08-15

              Thx for your time to fix this!!!!

               
            • nabber00
              nabber00
              2008-10-03

              I finally got some time to recreate the error and it should be completely fixed now in subversion.  You should see it in the next release.

               
              • Tangana
                Tangana
                2008-10-07

                Thx for the help!!! i really want to try this program!